package
{
	import org.flixel.*;
	public class TextEntry extends FlxText
	{
		public var properText:String;
		
		public var focused:Boolean;
		public var maxLen:int;
		public var masked:Boolean;
		public var numeric:Boolean;
		
		public function updateText():void
		{
			if (!masked)
			{
				text=properText+"_";
			}
			else
			{
				var t:String="";
				for (var i:int=0;i<properText.length;i++)
				{
					t+="*";
				}
				t+="_"
				text=t;
			}
		}
		
		public function TextEntry(X:Number,Y:Number,W:Number):void
		{			
			super(X,Y,W,"_");
			masked=false;
			numeric=false;
			maxLen=100000;
			focused=false;
			properText="";
		}
		
		override public function update():void
		{
			if (!focused)
			{
				super.update();
				return;
			}
			var c:String="";
			
			
			if (!numeric)
			{
				//LETTERS
				for(var i:int = 65; i <= 90; i++)
				{
					if (FlxG.keys.justPressed(String.fromCharCode(i)))
						c=String.fromCharCode(i);
				}
			}
			
			if (FlxG.keys.ZERO)
				trace(Math.random());
			
			if (FlxG.keys.justPressed("ZERO"))
			{
				c="0";
			}
			else if (FlxG.keys.justPressed("ONE"))
			{
				c="1";
			}
			else if (FlxG.keys.justPressed("TWO"))
			{
				c="2";
			}
			else if (FlxG.keys.justPressed("THREE"))
			{
				c="3";
			}
			else if (FlxG.keys.justPressed("FOUR"))
			{
				c="4";
			}
			else if (FlxG.keys.justPressed("FIVE"))
			{
				c="5";
			}
			else if (FlxG.keys.justPressed("SIX"))
			{
				c="6";
			}
			else if (FlxG.keys.justPressed("SEVEN"))
			{
				c="7";
			}
			else if (FlxG.keys.justPressed("EIGHT"))
			{
				c="8";
			}
			else if (FlxG.keys.justPressed("NINE"))
			{
				c="9";
			}

			if (c.length>0 && properText.length<maxLen)
			{
				properText=properText+c;
				updateText();
			}
			
			if (FlxG.keys.justPressed("LEFT")||FlxG.keys.justPressed("BACKSPACE"))
			{
				if (properText.length>0)
				{
					properText=properText.slice(0,properText.length-1);
				}
				updateText();
			}
			super.update();
		}
	}
}