package
{
	import org.flixel.*;
	public class ConnectingState extends FlxState
	{		
		public var userName:TextEntry;
		public var password:TextEntry;
		public var selected:int;
		public static var result:String;
		public static var username:String;
		public static var password:String;
		
		override public function create():void
		{
			selected=0;
			bgColor = 0xFF000000;
			var title:FlxText = new FlxText(3,3+10,FlxG.width,"Accessing Login Server");
			if (result=="newaccount")
			{
				title.text="Accessing Registration Server";
			}
			title.size=8;
			title.alignment="left";		
			title.color=0xffFFFFFF;
			add(title); //adds a 100px wide text field at position 0,0 (upper left)
			var subtitle:FlxText = new FlxText(3,3+30,FlxG.width,"Please Wait");
			subtitle.alignment="left";
			subtitle.color=0xffFFFFFF;
			subtitle.size=8;
			add(subtitle);
			t=0;
		}
		
		public var t:Number;
		override public function update():void
		{
			t+=FlxG.elapsed;
			
			if (t>3)
			{
				switch(result)
				{
					case "login":
						FlxG.state = new ErrorState();
						break;
					case "state":
					case "newaccount":						
						FlxG.state = new ErrorState();
						break;	
				}
			}
			super.update();
		}
	}
}