package
{
	
	import org.flixel.*;
	public class ErrorState extends FlxState
	{		
		public var userName:TextEntry;
		public var password:TextEntry;
		public var selected:int;
		public static var error:Boolean;
		public var endgame:Boolean;
		
		override public function create():void
		{
			selected=0;
			bgColor = 0xFF000000;
			var title:FlxText = new FlxText(3,3+10,FlxG.width,"Error Logging In");
			title.size=8;
			title.alignment="left";		
			title.color=0xffFF0000;
			add(title); //adds a 100px wide text field at position 0,0 (upper left)
			var subtitle:FlxText = new FlxText(3,3+30,FlxG.width,"Invalid Username and/or Password");
			subtitle.alignment="left";		
			subtitle.color=0xffFF0000;
			subtitle.size=8;
			endgame=false;
			
			if (ConnectingState.result=="newaccount")
			{
				title.text="Error Creating account";
				subtitle.text="There was a problem connecting to the registration server, please contact your system administrator.";
			}			
			else if (NumberChecker.IsValid(ConnectingState.password)&&ConnectingState.username=="SZYGLIA")
			{
				title.color=0xff00ff00;
				subtitle.color=0xff00ff00;
				title.text="Success";
				subtitle.text="Access Granted";
				endgame=true;

			}
			add(subtitle);
		}
		
		override public function update():void
		{
			if (FlxG.keys.justPressed("SPACE") || FlxG.keys.justPressed("ENTER")||FlxG.keys.justPressed("X"))
			{
				if (!endgame)
				{
					if (ConnectingState.result=="newaccount")
					{
						FlxG.state = new NewAccountScreen();
					}
					else
					{
						FlxG.state = new LoginScreen();
					}
				}
			}
			super.update();
		}
	}
}