package
{
	import org.flixel.*;
	public class NewAccountScreen extends FlxState
	{		
		public var userName:TextEntry;
		public var password:TextEntry;
		public var back:FlxText;
		public var login:FlxText;
		public var help:FlxText;
		public var selected:int;
		
		override public function create():void
		{
			selected=0;
			bgColor = 0xFF000000;
			var title:FlxText = new FlxText(3,3,FlxG.width,"Create New Account");
			title.size=8;
			title.alignment="left";		
			title.color=0xffFFFFFF;
			add(title); //adds a 100px wide text field at position 0,0 (upper left)
			var subtitle:FlxText = new FlxText(3,3+10,FlxG.width,"username");
			subtitle.alignment="left";
			subtitle.color=0xffFFFFFF;
			subtitle.size=8;
			var subtitle2:FlxText = new FlxText(3,3+30,FlxG.width,"passcode");
			subtitle2.alignment="left";
			subtitle2.color=0xffFFFFFF;
			subtitle2.size=8;
			add(subtitle2);
			FlxG.level=0;
			var b:Boolean=false;
			userName = new TextEntry(10,3+20,FlxG.width);
			password = new TextEntry(10,3+40,FlxG.width);
			back = new FlxText(3,3+100,FlxG.width);
			back.text="back";
			add(back);
			login = new FlxText(3,3+60,FlxG.width);
			login.text="create account";
			add(login);
			help = new FlxText(3,3+80,FlxG.width);
			help.text="help";
			add(help);
			add(login);
			add(password);
			add(userName);
			password.focused=false;
			userName.focused=true;
			userName.numeric=false;
			userName.maxLen=12;
			password.maxLen=6;
			password.masked=true;
			password.numeric=true;
			setText();
			updateSelection();
			add(subtitle);
		}
		
		public function setText():void
		{
			
		}
		
		public function updateSelection():void
		{
			switch (selected)
			{
				case 0:
					userName.focused=true;
					password.focused=false;
					userName.color=0xffFFFFFF;
					password.color=0xff888888;
					back.color=0xff888888;
					help.color=0xff888888;
					login.color=0xff888888;
					break;
				case 1:
					userName.focused=false;
					password.focused=true;
					userName.color=0xff888888;
					password.color=0xffFFFFFF;
					back.color=0xff888888;
					help.color=0xff888888;
					login.color=0xff888888;
					break;
				case 2:
					userName.focused=false;
					password.focused=false;
					userName.color=0xff888888;
					password.color=0xff888888;
					back.color=0xff888888;
					help.color=0xff888888;
					login.color=0xffFFFFFF;
					break;
				case 3:
					userName.focused=false;
					password.focused=false;
					userName.color=0xff888888;
					password.color=0xff888888;
					back.color=0xff888888;
					help.color=0xffFFFFFF;
					login.color=0xff888888;
					break;
				case 4:
					userName.focused=false;
					password.focused=false;
					userName.color=0xff888888;
					password.color=0xff888888;
					back.color=0xffFFFFFF;
					help.color=0xff888888;
					login.color=0xff888888;
					break;
			}
		}
		
		override public function update():void
		{
			if (FlxG.keys.justPressed("SPACE")||FlxG.keys.justPressed("X")|| FlxG.keys.justPressed("ENTER"))
			{
				switch(selected)
				{
					case 0:
					case 1:
						selected++;
						updateSelection();
					break;
					case 2:
						ConnectingState.result="newaccount";
						FlxG.state = new ConnectingState();
						break;
					case 3:
						FlxG.state = new HelpState();
						break;
					case 4:
						FlxG.state = new TitleState();
						break;
					break;
				}
			}
			if (FlxG.keys.justPressed("UP") )
			{
				selected=(selected+4)%5;
				updateSelection();
			}
			if (FlxG.keys.justPressed("DOWN") )
			{
				selected=(selected+1)%5;
				updateSelection();
			}
			super.update();
		}
	}
}