package
{
	import org.flixel.*;
	public class TitleState extends FlxState
	{
		public var option1:FlxText;
		public var option2:FlxText;
		public var selected:int;
		
		override public function create():void
		{
			selected=0;
			bgColor = 0xFF000000;
			var title:FlxText = new FlxText(3,3,FlxG.width,"Welcome to TpiyrfaNet");
			title.size=8;
			title.alignment="left";		
			title.color=0xffFFFFFF;
			add(title); //adds a 100px wide text field at position 0,0 (upper left)
			var subtitle:FlxText = new FlxText(3,3+20,FlxG.width,"please select an option");
			subtitle.alignment="left";
			subtitle.color=0xffFFFFFF;
			subtitle.size=8;
			FlxG.level=0;
			var b:Boolean=false;
			option1 = new FlxText(0,3+60,FlxG.width,"");
			option1.alignment="center";
			option1.color=0xffFFFFFF;			
			add(option1);
			option2 = new FlxText(0,3+70,FlxG.width,"");
			option2.alignment="center";
			option2.color=0xffFFFFFF;			
			add(option2);
			
			setText();
			add(subtitle);
		}
		
		public function setText():void
		{
			switch(selected)
			{
				case 0:
					option1.text = ">> Log In <<"
					option2.text = "New Account"
					break;
				case 1:
					option1.text = "Log In"
					option2.text = ">> New Account <<"
					break;
			}
		}
		
		override public function update():void
		{
			if (FlxG.keys.justPressed("ZERO"))
			{
				FlxG.quake.stop();
				FlxG.quake.start();
			}
			if (FlxG.keys.justPressed("SPACE")||FlxG.keys.justPressed("X")|| FlxG.keys.justPressed("ENTER"))
			{
				if (selected==0)
				{
					FlxG.state = new LoginScreen();
				}
				else
				{
					FlxG.state = new NewAccountScreen();
				}
			}
			else if (FlxG.keys.justPressed("UP")||FlxG.keys.justPressed("DOWN"))
			{
				selected=1-selected;
				setText();
			}
			super.update();
		}
	}
}